Enumerations
libcaca attribute definitions

## Enumerations
enum | caca_color { CACA_BLACK = 0x00, CACA_BLUE = 0x01, CACA_GREEN = 0x02, CACA_CYAN = 0x03, CACA_RED = 0x04, CACA_MAGENTA = 0x05, CACA_BROWN = 0x06, CACA_LIGHTGRAY = 0x07, CACA_DARKGRAY = 0x08, CACA_LIGHTBLUE = 0x09, CACA_LIGHTGREEN = 0x0a, CACA_LIGHTCYAN = 0x0b, CACA_LIGHTRED = 0x0c, CACA_LIGHTMAGENTA = 0x0d, CACA_YELLOW = 0x0e, CACA_WHITE = 0x0f, CACA_DEFAULT = 0x10, CACA_TRANSPARENT = 0x20 }
enum | caca_style { CACA_BOLD = 0x01, CACA_ITALICS = 0x02, CACA_UNDERLINE = 0x04, CACA_BLINK = 0x08 }

## Detailed Description

Colours and styles that can be used with caca_set_attr().

## Enumeration Type Documentation

enum caca_color

libcaca colour keyword

Enumerator
CACA_BLACK | The colour index for black.
CACA_BLUE | The colour index for blue.
CACA_GREEN | The colour index for green.
CACA_CYAN | The colour index for cyan.
CACA_RED | The colour index for red.
CACA_MAGENTA | The colour index for magenta.
CACA_BROWN | The colour index for brown.
CACA_LIGHTGRAY | The colour index for light gray.
CACA_DARKGRAY | The colour index for dark gray.
CACA_LIGHTBLUE | The colour index for blue.
CACA_LIGHTGREEN | The colour index for light green.
CACA_LIGHTCYAN | The colour index for light cyan.
CACA_LIGHTRED | The colour index for light red.
CACA_LIGHTMAGENTA | The colour index for light magenta.
CACA_YELLOW | The colour index for yellow.
CACA_WHITE | The colour index for white.
CACA_DEFAULT | The output driver's default colour.
CACA_TRANSPARENT | The transparent colour.

enum caca_style

libcaca style keyword

Enumerator
CACA_BOLD | The style mask for bold.
CACA_ITALICS | The style mask for italics.
CACA_UNDERLINE | The style mask for underline.
CACA_BLINK | The style mask for blink.